-- Set the caption
love.graphics.setCaption("Simple Instance Demo")

-- Object update list
local objectList = {}

-- Circle class
local Circle = {}
Circle.__index = Circle

-- Create and return a new circle
function Circle:new(x,y)
    local circle = setmetatable({},Circle)
    circle.x = x
    circle.y = y
    return circle
end

-- Draw the circle
function Circle:draw()
    love.graphics.circle("fill", self.x, self.y, 15)
end

-- Place a circle on mouse click
function love.mousepressed(x,y,mb)
    objectList[#objectList+1] = Circle:new(x,y) 
end

-- Draw all circles
function love.draw()
    for i = 1,#objectList do
        objectList[i]:draw()
    end
    love.graphics.print("Click to place circles",0,0)
end